Download it now!
Bug 88158 - Display two "Open..." entries in the file-menu
Summary: Display two "Open..." entries in the file-menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Juergen Funk (CIB)
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-07 14:09 UTC by Juergen Funk (CIB)
Modified: 2016-08-04 17:52 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Funk (CIB) 2015-01-07 14:09:16 UTC
Display two entries in the file-menu, but both working.
Comment 1 Juergen Funk (CIB) 2015-01-07 14:09:49 UTC
Want be fix
Comment 2 Juergen Funk (CIB) 2015-01-07 14:56:27 UTC
When the user has make a customise menu in LO 3.x and a migration to LO 4.x was necessary, then after that the both entry appears.

The problem was in LO 3.x the uno command is .uno:Open and in LO 4.x is 
.uno:OpenFromWriter, and the migration mean that two different commands.

Now skip this when i see the command .uno:OpenFile


Patch is here:  https://gerrit.libreoffice.org/13795
Comment 3 Commit Notification 2015-01-22 08:26:06 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8918b363ea7242c304f438a64baf55d19eecddf

fdo#88158 Display two "Open..." entries in the file-menu

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.